import { Plugin, ToolbarItemType } from '../plugin';
import { CursorInitializer } from './cursor-initializer';
export declare enum CursorTool {
    SELECT = 0,
    HAND = 1
}
export type CursorPluginParams = {
    cursorToolOnLoad?: CursorTool;
};
export declare class CursorPlugin extends Plugin<CursorPluginParams> {
    protected getToolbarItems(): Map<string, ToolbarItemType>;
    private active?;
    private prevActive?;
    private handTool?;
    protected getInitializers(): CursorInitializer[];
    protected init(): void;
    protected destroy(): void;
    get activeTool(): CursorTool | undefined;
    switchTool(tool: CursorTool, disabled?: boolean): void;
}
